using NBC;
using UnityEngine;

namespace NBF
{
    public abstract class PlayerStateBase : FsmBaseState<FPlayer>
    {
        protected FPlayer Player => _owner;

        /// <summary>
        /// 检查状态超时
        /// </summary>
        public void CheckStateTimeout(float time)
        {
            if (Time.time - EnterTime >= time)
            {
                Root.Start<PlayerStateIdle>();
            }
        }
    }
}